Subject: RE: [Ltru] Re: ABNF beautification...

From: "Addison Phillips" <[email-masked]>
Date: Thu, 28 Jul 2005 16:27:10 -0700

The revised ABNF makes clear what the text already says in Section 2.2.1:

--
All four character language subtags are reserved for possible future standardization.
--

That is, wholesale registration of ISO 639-6 (or ISO 639-3) subtags requires a new RFC. This is actually good for you, since it precluded users registering any codes that might conflict.

I imagine that a revision incorporating ISO 639-6 would not require the long, hard road this document has taken, since it would exactly the following changes:

a. replace a comment in the ANBF.
b. replace the cited sentence above
c. have an instruction for how to get the new values into the registry

ISO 639-3 will require slightly more work: it will have to make extlangs valid and a few other minor housekeeping chores.

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: Debbie Garside [mailto:[email-masked]]
> Sent: Thursday, July 28, 2005 3:45 PM
> To: Addison Phillips; 'Randy Presuhn'; [email-masked]
> Subject: RE: [Ltru] Re: ABNF beautification...
> 
> Hi All
> 
> Just to clarify, does the beautified ABNF mean that should 639-6 come to
> pass it needs to wait for ter before it can be used or can it be used in
> bis?  If the latter then I am happy if not then I could be unhappy; given
> the time it has taken to get bis to this stage!
> 
> Regards
> 
> 
> Debbie
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]
> On
> > Behalf Of Addison Phillips
> > Sent: 27 July 2005 17:53
> > To: Randy Presuhn; [email-masked]
> > Subject: RE: [Ltru] Re: ABNF beautification...
> >
> > Please see my previous message. The beautified ABNF is posted in an
> > editor's copy:
> >
> > http://www.inter-locale.com/ID/draft-ietf-ltru-registry-10.html
> > http://www.inter-locale.com/ID/draft-ietf-ltru-registry-10.txt
> >
> > Addison
> >
> > Addison P. Phillips
> > Globalization Architect, Quest Software
> > Chair, W3C Internationalization Core Working Group
> >
> > Internationalization is not a feature.
> > It is an architecture.
> >
> > > -----Original Message-----
> > > From: [email-masked] [mailto:[email-masked]]
> > On
> > > Behalf Of Randy Presuhn
> > > Sent: Wednesday, July 27, 2005 8:31 AM
> > > To: [email-masked]
> > > Subject: Re: [Ltru] Re: ABNF beautification...
> > >
> > > Hi -
> > >
> > > There have been quite a few deltas in the "ABNF beautification", but
> > > it sounds like there is quite a bit of support.  I'd like the editors
> to
> > > post
> > > a message with the ABNF as they see it based on the comments so far,
> > > and I'd like to hear from the rest of the WG participants on whether
> > they
> > > support or oppose the revision, in order to be clear whether there is
> > > indeed a rough consensus to make this change.
> > >
> > > Randy, ltru co-chair
> > >
> > >
> > >
> > >
> > > _______________________________________________
> > > Ltru mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/ltru
> >
> >
> > _______________________________________________
> > Ltru mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Debbie Garside" <[email-masked]>
Date: Fri, 29 Jul 2005 10:06:40 +0100

OK.  Thanks for the clarification!

Debbie 

-----Original Message-----
From: Addison Phillips [mailto:[email-masked]] 
Sent: 29 July 2005 00:27
To: Debbie Garside; Randy Presuhn; [email-masked]
Subject: RE: [Ltru] Re: ABNF beautification...

--
All four character language subtags are reserved for possible future
standardization.
--

That is, wholesale registration of ISO 639-6 (or ISO 639-3) subtags requires
a new RFC. This is actually good for you, since it precluded users
registering any codes that might conflict.

I imagine that a revision incorporating ISO 639-6 would not require the
long, hard road this document has taken, since it would exactly the
following changes:

ISO 639-3 will require slightly more work: it will have to make extlangs
valid and a few other minor housekeeping chores.

Addison

Addison P. Phillips

> Just to clarify, does the beautified ABNF mean that should 639-6 come 
> to pass it needs to wait for ter before it can be used or can it be 
> used in bis?  If the latter then I am happy if not then I could be 
> unhappy; given the time it has taken to get bis to this stage!
> 
> Regards
> 
> 
> Debbie
> 
> > Globalization Architect, Quest Software Chair, W3C 
> > Internationalization Core Working Group
> >
> > > There have been quite a few deltas in the "ABNF beautification", 
> > > but it sounds like there is quite a bit of support.  I'd like the 
> > > editors
> to
> > > post
> > > a message with the ABNF as they see it based on the comments so 
> > > far, and I'd like to hear from the rest of the WG participants on 
> > > whether
> > they
> > > support or oppose the revision, in order to be clear whether there 
> > > is indeed a rough consensus to make this change.
> > >
> > > Randy, ltru co-chair
> > >
> > >
> > >
> > >

---

From: "John.Cowan" <[email-masked]>
Date: Fri, 29 Jul 2005 14:35:04 -0400

Addison Phillips scripsit:

> I imagine that a revision incorporating ISO 639-6 would not require
> the long, hard road this document has taken, since it would exactly
> the following changes:
> 

There remains open, however, the deep question of how (if at all) ISO 639-6
tags should be integrated with the RFC 3066 structure.  Reserving a slot
for 639-6's 4-alpha tags does not mean that incorporating them into RFC 3066
is necessarily the Right Thing.  That question cannot be prejudged.

-- 
As we all know, civil libertarians are not      John Cowan
the friskiest group around -- comes from        [email-masked]
forever being on the qui vive for the sound     http://www.ccil.org/~cowan
of jack-booted fascism coming down the pike.           --Molly Ivins